Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.support.components
Class SwingConfigurationDialogImpl

    java.lang.Object
      com.eviware.soapui.support.components.SwingConfigurationDialogImpl

All Implemented Interfaces:
  ConfigurationDialog

    public class SwingConfigurationDialogImpl

extends java.lang.Object
implements ConfigurationDialog

Utility for creating simple configuration dialogs

Author:
  Ole.Matzura

Nested Class Summary

Nested classes/interfaces inherited from interface com.eviware.soapui.support.components.ConfigurationDialog
`ConfigurationDialog.FieldType`

Constructor Summary
`SwingConfigurationDialogImpl(java.lang.String title, java.lang.String helpUrl, java.lang.String description, javax.swing.ImageIcon icon)`

Method Summary
`void` | `addCheckBox(java.lang.String caption, java.lang.String label, boolean selected)`
`void` | `addComboBox(java.lang.String label, java.lang.Object[] objects, java.lang.String tooltip)`
`void` | `addComboBox(java.lang.String label, java.lang.String tooltip)`
`void` | `addComponent(javax.swing.JComponent component)`
`void` | `addTextField(java.lang.String name, java.lang.String tooltip)`
`void` | `addTextField(java.lang.String name, java.lang.String tooltip, ConfigurationDialog.FieldType type)`
`ActionList` | `getActions()`
`java.awt.Dimension` | `getSize()`
`void` | `getValues(java.util.Map<java.lang.String,java.lang.String> values)`
`void` | `hide()`
`void` | `setContent(javax.swing.JComponent content)`
`void` | `setSize(java.awt.Dimension preferredSize)`
`void` | `setValues(java.lang.String id, java.lang.String[] values)`
`boolean` | `show(java.util.Map<java.lang.String,java.lang.String> values)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SwingConfigurationDialogImpl

    public SwingConfigurationDialogImpl(java.lang.String title,
                                        java.lang.String helpUrl,
                                        java.lang.String description,
                                        javax.swing.ImageIcon icon)

Method Detail

### show

    public boolean show(java.util.Map<java.lang.String,java.lang.String> values)

  Specified by:
    `show` in interface `ConfigurationDialog`

### getSize

    public java.awt.Dimension getSize()

### setSize

    public void setSize(java.awt.Dimension preferredSize)

### addTextField

    public void addTextField(java.lang.String name,
                             java.lang.String tooltip)

  Specified by:
    `addTextField` in interface `ConfigurationDialog`

### addTextField

    public void addTextField(java.lang.String name,
                             java.lang.String tooltip,
                             ConfigurationDialog.FieldType type)

  Specified by:
    `addTextField` in interface `ConfigurationDialog`

### addCheckBox

    public void addCheckBox(java.lang.String caption,
                            java.lang.String label,
                            boolean selected)

  Specified by:
    `addCheckBox` in interface `ConfigurationDialog`

### setContent

    public void setContent(javax.swing.JComponent content)

### addComboBox

    public void addComboBox(java.lang.String label,
                            java.lang.Object[] objects,
                            java.lang.String tooltip)

  Specified by:
    `addComboBox` in interface `ConfigurationDialog`

### setValues

    public void setValues(java.lang.String id,
                          java.lang.String[] values)

  Specified by:
    `setValues` in interface `ConfigurationDialog`

### addComboBox

    public void addComboBox(java.lang.String label,
                            java.lang.String tooltip)

  Specified by:
    `addComboBox` in interface `ConfigurationDialog`

### addComponent

    public void addComponent(javax.swing.JComponent component)

### getValues

    public void getValues(java.util.Map<java.lang.String,java.lang.String> values)

  Specified by:
    `getValues` in interface `ConfigurationDialog`

### getActions

    public ActionList getActions()

  Specified by:
    `getActions` in interface `ConfigurationDialog`

### hide

    public void hide()

  Specified by:
    `hide` in interface `ConfigurationDialog`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.